import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A bullet that can hit asteroids.
 * 
 * @author Poul Henriksen
 */
public class Bullet extends MovingThing
{
    /** A bullet looses one life each act, and will disappear when life = 0 */
    private int life = 30;
    /** The damage this bullet will deal */
    private int damage = 16;

    public Bullet(double speedx, double speedy, int rotation)
    {
        super(speedx, speedy);
        setRotation(rotation);
        increaseSpeed(15 * Math.cos(Math.toRadians(rotation)), 15 * Math.sin(Math.toRadians(rotation)));
        Greenfoot.playSound("EnergyGun.wav");
    }
    
    /**
     * The bullet will damage asteroids if it hits them.
     */
    public void act()
    {
        if(life <= 0) {
            getWorld().removeObject(this);
        } else {
            moveAtSpeed();
            life--;
        }
    }
}