import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A rocket that can be controlled by the arrowkeys: up, left, right.
 * The gun is fired by hitting the 'space' key.
 * 
 * @author Poul Henriksen
 */
public class Rocket extends MovingThing
{
    private GreenfootImage rocket = new GreenfootImage("rocket.png");    
    private GreenfootImage rocketWithThrust = new GreenfootImage("rocketWithThrust.png");

    /** The minimum delay between firing the gun. */
    private int minGunFireDelay = 5;    
    /** How long ago we fired the gun the last time. */
    private int gunFireDelay = 0;    
    /** How fast the rocket is */  
    private double acceleration = 0.1;

    public Rocket()
    {
    }

    public void act()
    {
        if (checkCollision())
        {
            return;
        }

        if(Greenfoot.isKeyDown("space")) {
            if(gunFireDelay >= minGunFireDelay) {
                fireBullet();
                gunFireDelay = 0;
            }         
        }        
        gunFireDelay += 1;
        moveAtSpeed();
    }
    
    /**
     * Checks to see if we have collided with an asteroid
     */
    private boolean checkCollision()
    {
        return false;
    }
    
    /**
     * Fires a bullet
     */
    private void fireBullet()
    {
         
    }
}